Bug 461234 - Split foomatic-db into separate source package
Split foomatic-db into separate source package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On: 476829
Blocks: 456906 F12Target 512739
  Show dependency treegraph
 
Reported: 2008-09-05 04:44 EDT by Tim Waugh
Modified: 2009-08-19 07:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-18 04:49:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2008-09-05 04:44:45 EDT
Description of problem:
The foomatic database (/usr/share/foomatic/*) should be a separate noarch SRPM, foomatic, and the code portions should be in an arch SRPM, foomatic-engine.

The 'foomatic' package (the database) would require 'foomatic-engine'.

This would allow code fixes to be shipped in much smaller updates, and would also allow in-place testing for the database, as well as the creation of RPM tags for Device IDs (see bug #456906) in the foomatic package.

In summary, the proposed changes are:

foomatic src.rpm
  changes from arch to noarch
  no longer ships foomatic-db-engine or foomatic-filters
  requires foomatic-engine

foomatic-engine src.rpm
  new arch package
  ships foomatic-db and foomatic-db-hpijs
Comment 1 Bug Zapper 2008-11-25 21:58:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jon Stanley 2008-11-26 14:13:32 EST
Fixing version to align with rawhide again.  Sorry for the noise.
Comment 3 Tim Waugh 2008-12-17 07:01:43 EST
Altered so that 'foomatic-db' is the new noarch package.  Review request submitted.
Comment 4 Bug Zapper 2009-06-09 05:43:11 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Tim Waugh 2009-07-30 04:48:06 EDT
Actually this scheme should be altered slightly.  We want to be able to install /usr/share/foomatic/db/source/PPD/* separately from the XML data, then for the XML data to be dependent on that.  Just requires a foomatic-db-ppds sub-package I think.
Comment 6 Tim Waugh 2009-08-18 04:49:44 EDT
Done.
Comment 7 Till Kamppeter 2009-08-18 07:48:02 EDT
Additional remark for the packaging of Foomatic:

I am currently deprecating foomatic-db-hpijs. HPLIP has shipped CUPS-DDK-based PPDs for a longer time now and so they dropped maintaining the HP printer listing in foomatic-db-hpijs. So foomatic-db-hpijs only serves for providing PPDs for non-HP printers to be used with HPIJS (PCL laser printers). This functionality I have moved into foomatic-db now, using static driver and option XML files (driver entries "hpijs-pcl3", "hpijs-pcl5e", "hpijs-pcl5c"). So foomatic-db-hpijs can get dropped from the packaging now.
Comment 8 Tim Waugh 2009-08-19 07:49:38 EDT
Thanks Till.  Done.

Note You need to log in before you can comment on or make changes to this bug.